Package org.apache.tools.ant.taskdefs

# Class Concat.TextElement

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.taskdefs.Concat.TextElement

All Implemented Interfaces:
  `Cloneable`

Enclosing class:
  `Concat`

public static class Concat.TextElement extends ProjectComponent
sub element points to a file or contains text

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TextElement()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addText(String value)`
  set the text using inline
  `String`
  `getValue()`
  `void`
  `setEncoding(String encoding)`
  The encoding of the text element
  `void`
  `setFile(File file)`
  set the text using a file
  `void`
  `setFiltering(boolean filtering)`
  whether to filter the text in this element or not.
  `void`
  `setTrim(boolean trim)`
  whether to call text.trim()
  `void`
  `setTrimLeading(boolean strip)`
  s:^\s*:: on each line of input

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TextElement

    public TextElement()

- ## Method Details

  - ### setFiltering

    public void setFiltering(boolean filtering)
    whether to filter the text in this element or not.
    Parameters:
      `filtering` - true if the text should be filtered. the default value is true.

  - ### setEncoding

    public void setEncoding(String encoding)
    The encoding of the text element
    Parameters:
      `encoding` - the name of the charset used to encode

  - ### setFile

    public void setFile(File file) throws BuildException
    set the text using a file
    Parameters:
      `file` - the file to use
    Throws:
      `BuildException` - if the file does not exist, or cannot be read

  - ### addText

    public void addText(String value)
    set the text using inline
    Parameters:
      `value` - the text to place inline

  - ### setTrimLeading

    public void setTrimLeading(boolean strip)
    s:^\s*:: on each line of input
    Parameters:
      `strip` - if true do the trim

  - ### setTrim

    public void setTrim(boolean trim)
    whether to call text.trim()
    Parameters:
      `trim` - if true trim the text

  - ### getValue

    public String getValue()
    Returns:
      the text, after possible trimming